<?php
/*------------------------------------------------------------------------------
  $Id$

  For Abante Cart, E-commerce Solution
  http://www.AbanteCart.com

  Copyright (c) 2011, 2012 AlgoZone, Inc

------------------------------------------------------------------------------*/
if (! defined ( 'DIR_CORE' )) {
	header ( 'Location: static_pages/' );
}

//add reward points total
/**
 * @var AController $this
 */
$child_extension_id = $this->extension_manager->add(
	array(
		'type'=>'total',
		'key'=>'reward_points_total',
		'status'=>1,
		'priority'=>10,
		'version'=>'1.0'
	)
);
// edit settings
$this->load->model('setting/setting');
//insert reward_points_total before total
$sort = $this->config->get('total_sort_order');
$calc = $this->config->get('total_calculation_order');
$this->model_setting_setting->editSetting('total', array('total_sort_order' => ($sort+1), 'total_calculation_order' => ($calc+1) ));
$this->model_setting_setting->editSetting(
	'reward_points_total',
	array(
		'reward_points_total_status' => 1,
		'reward_points_total_sort_order' => $sort,
		'reward_points_total_calculation_order' => $calc,
		'reward_points_total_total_type' => 'reward_points'
	)
);

$this->extension_manager->addDependant('reward_points_total', 'reward_points');

// add new menu item
$menu = new AMenu ( 'admin' );
$menu->insertMenuItem(
	array(
		'item_id'		=> 'reward_points',
		'parent_id'		=> 'sale',
		'item_text'		=> 'reward_points_name',
		'item_url'		=> 'extension/reward_points',
		'item_type'		=> 'extension',
		'sort_order'	=> '6'
	)
);